org.apache.tinkerpop.gremlin.process.computer.util

## Class ConfigurationTraversal<S,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.ConfigurationTraversal<S,E>

- All Implemented Interfaces:
    Supplier<Traversal.Admin<S,E>>

  Deprecated.
  As of release 3.2.0, replaced by `PureTraversal`.

      @Deprecated
      public final class ConfigurationTraversal<S,E>
      extends Object
      implements Supplier<Traversal.Admin<S,E>>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal.Admin<S,E>` | `get()` Deprecated.
    `static <S,E> ConfigurationTraversal<S,E>` | `loadState(Graph graph, Configuration configuration, String configKey)` Deprecated.
    `void` | `storeState(Configuration configuration)` Deprecated.
    `static <S,E> ConfigurationTraversal<S,E>` | `storeState(Function<Graph,Traversal.Admin<S,E>> traversalFunction, Configuration configuration, String configKey)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public Traversal.Admin<S,E> get()

      Deprecated.
      Specified by:
        `get` in interface `Supplier<Traversal.Admin<S,E>>`

    - #### storeState

          public void storeState(Configuration configuration)

      Deprecated.

    - #### storeState

          public static <S,E> ConfigurationTraversal<S,E> storeState(Function<Graph,Traversal.Admin<S,E>> traversalFunction,
                                                                     Configuration configuration,
                                                                     String configKey)

      Deprecated.

    - #### loadState

          public static <S,E> ConfigurationTraversal<S,E> loadState(Graph graph,
                                                                    Configuration configuration,
                                                                    String configKey)

      Deprecated.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.